## trunk?format=zip&rev=1058

=== platforms/tsar_generic_iob/Makefile ===
simul.x: top.cpp top.desc
	soclib-cc  -P -p top.desc -I. -o simul.x

clean:
	soclib-cc -x -p top.desc -I.
	rm -rf *.o *.x tty* term*

.PHONY:simul.x

=== platforms/tsar_generic_leti/Makefile ===
simul.x: top.cpp top.desc hard_config.h
	soclib-cc -P -p top.desc -I. -o simul.x

clean:
	soclib-cc -x -p top.desc -I.
	rm -rf *.o *.x term* tty* ext* temp nic_tx_file.txt

.PHONY: simul.x

=== packages/libapache2-mod-auth-sslcert/debian/changelog ===
libapache2-mod-auth-sslcert (1.1.1-1) unstable; urgency=low

  * Initial release.

 -- Evan Broder <broder@mit.edu>  Mon, 14 Jul 2008 21:32:33 -0400

=== packages/sipb-xen-database/debian/changelog ===
sipb-xen-database (10.28) unstable; urgency=low

  * Re-establish the database connection if the server goes AWOL

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:19:59 -0400

sipb-xen-database (10.27) unstable; urgency=low

  * Update sipb-database to work with newer SQLAlchemy and Xen

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 20:08:16 -0400

sipb-xen-database (10.26.1) unstable; urgency=low

  * We want autoflush off, too

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 19:22:12 -0400

sipb-xen-database (10.26) unstable; urgency=low

  * Disable transactions by default

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 19:40:34 -0400

sipb-xen-database (10.25) unstable; urgency=low

  * add remote and console to pg_hba.conf template
  * fix init script so it works
  * port more code to sqlalchemy 0.4

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:30:26 -0400

sipb-xen-database (10.24) unstable; urgency=low

  * Update postgresql.conf for Hardy

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 03:12:36 -0400

sipb-xen-database (10.23) unstable; urgency=low

  * switch to postgresql 8.3, as 8.1 isn't in hardy

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 02:09:43 -0400

sipb-xen-database (10.22) unstable; urgency=low

  * depend on postgresql without specifying old version 8.1

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 01:55:49 -0400

sipb-xen-database (10.21) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:50:25 -0400

sipb-xen-database (10.20) hardy; urgency=low

  * port to sqlalchemy-0.4, which cuts out some newly deprecated
    interfaces and allowed some still-present interfaces to bitrot

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:06:21 +0000

sipb-xen-database (10.19) unstable; urgency=low

  * Generate config files for pg_hba.conf
  * replace postgresql.conf

 --  Sam Hartman <hartmans@xvm.mit.edu>  Mon, 25 Aug 2008 00:38:21 +0000

sipb-xen-database (10.18) unstable; urgency=low

  * add 'adminable' column to machines; for selectively, temporarily,
    enabling admin mode on a machine

 -- Greg Price <price@mit.edu>  Wed,  6 Aug 2008 01:02:59 -0400

sipb-xen-database (10.17) unstable; urgency=low

  * pull IP gateway, network from config
  * configurabilization complete!

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 01:16:53 -0400

sipb-xen-database (10.16) unstable; urgency=low

  in sipb-xen-database-tables:
  * use invirt.database, and take default db uri

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:51:32 -0400

sipb-xen-database (10.15) unstable; urgency=low

  in /etc/xen/database:
  * uncommitted changes on black-mesa
  * sipb_xen_database -> invirt.database
  * use default db uri

  in invirt.database:
  * get default db uri from invirt.config

 -- Greg Price <price@mit.edu>  Sun,  3 Aug 2008 00:26:46 -0400

sipb-xen-database (10.14) unstable; urgency=low

  * Rename sipb_xen_database -> invirt.database,
    keeping old name too for now, for compatibility.

 -- Greg Price <price@mit.edu>  Sat,  2 Aug 2008 23:19:18 -0400

sipb-xen-database (10.13) unstable; urgency=low

  * Modify autoinstalls table to specify distribution/mirror.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Sat, 21 Jun 2008 21:25:21 -0400

sipb-xen-database (10.12) unstable; urgency=low

  * Add a description field.

 -- Anders Kaseorg <andersk@mit.edu>  Wed, 18 Jun 2008 03:52:49 -0400

sipb-xen-database (10.11) unstable; urgency=low

  * Specify ON DELETE CASCADE

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:25:35 -0400

sipb-xen-database (10.10) unstable; urgency=low

  * Make machine.acl a private relation.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 06 Jun 2008 12:03:09 -0400

sipb-xen-database (10.9) unstable; urgency=low

  * Eager loading of relations for better performance.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 02 Jun 2008 01:39:11 -0400

sipb-xen-database (10.8) unstable; urgency=low

  * Configure serial console on boot

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Thu,  1 May 2008 20:21:25 -0400

sipb-xen-database (10.7) unstable; urgency=low

  * Depend on psql client in -client package.

 -- Greg Price <price@mit.edu>  Sat, 26 Apr 2008 21:06:41 -0400

sipb-xen-database (10.6) unstable; urgency=low

  * Support autoinstalls table.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 21 Apr 2008 22:34:46 -0400

sipb-xen-database (10.5) unstable; urgency=low

  * Enable USB tablet device in guests.

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 21 Apr 2008 17:39:59 -0400

sipb-xen-database (10.4.1) unstable; urgency=low

  * Actually export the cache clearing function.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 21:18:01 -0400

sipb-xen-database (10.4) unstable; urgency=low

  * Ubuntu's dch sucks.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Fri, 28 Mar 2008 20:43:42 -0400

sipb-xen-database (10.3ubuntu1) gutsy; urgency=low

  * Expose a function for clearing the cache.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Fri, 28 Mar 2008 20:31:06 -0400

sipb-xen-database (10.3) unstable; urgency=low

  * Use 'acl', not 'users', for the reference to the machine_access table.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Thu, 24 Jan 2008 17:23:33 -0500

sipb-xen-database (10.2) unstable; urgency=low

  * Add MachineAccess to __all__ so it can be imported
  * Remove unnecessary constructors for database objects

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:53:47 -0500

sipb-xen-database (10.1) unstable; urgency=low

  * Make sipb-xen-database-tables safer (don't default to drop_all)

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:39:59 -0500

sipb-xen-database (10) unstable; urgency=low

  * Added a machine_access table for cached ACLs

 -- Quentin Smith <quentin@sipb-xen-dev.mit.edu>  Mon, 12 Nov 2007 04:24:35 -0500

sipb-xen-database (9.0) unstable; urgency=low



=== packages/sipb-xen-dhcp/debian/changelog ===
sipb-xen-dhcp (3.1) unstable; urgency=low

  * Take out the hack to reconnect to the database if it goes away

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 23:22:19 -0400

sipb-xen-dhcp (3) unstable; urgency=low

  * invirt-configurize dhcp
  * Use the syslog instead of the event_logger module
  * Install the server in a more standard location

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 20:10:17 -0400

sipb-xen-dhcp (2) unstable; urgency=low

  * DHCP server should send information to set correct information
    (fixes #44)

 -- SIPB Xen Projet <sipb-xen@mit.edu>  Mon, 31 Mar 2008 19:43:00 -0400

sipb-xen-dhcp (1.1) unstable; urgency=low

  * Split off pydhcplib into its own package and add that as a dependency

 -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 30 Mar 2008 16:59:46 -0400

sipb-xen-dhcp (1) unstable; urgency=low

  * Initial Release.

 -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 25 Feb 2008 00:05:12 -0500

=== packages/sipb-xen-dom0/debian/changelog ===
sipb-xen-dom0 (2.6) unstable; urgency=low

  * depend on sipb-xen-base

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 20:28:21 -0400

sipb-xen-dom0 (2.5) unstable; urgency=low

  * Don't rely on exported ROOT.

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 02 May 2008 02:41:43 -0400

sipb-xen-dom0 (2.4) unstable; urgency=low

  * Add sipb-xen-losetup, a half-sane wrapper around the insane losetup.

 -- Greg Price <price@mit.edu>  Thu,  1 May 2008 01:13:28 -0400

sipb-xen-dom0 (2.3) unstable; urgency=low

  * Depend on generic metapackages/provides instead of particular 
    versions.

 -- Anders Kaseorg <andersk@sipb-xen.mit.edu>  Sat, 27 Oct 2007 21:23:00 -0400

sipb-xen-dom0 (2.2) unstable; urgency=low

  * Add qemu-ifup script that depends on the device model script and
    invokes vif-sipbroute.    As a consequence, we don't really support
    bridged hvms any more.  It's not clear how to get enough information
    out of qemu to do this.
  * Call arpspoof with 18.181.0.1's address.  This is unfortunate in two
    ways.  First, if we renumber we'll need to update the script.  Second,
    it is possible that someone on 18.181 besides the router may have an
    address cached.  Unfortunately, it doesn't work right if we don't
    send the spoofed arp directly to the router.

 -- Sam Hartman <hartmans@debian.org>  Sun, 26 Aug 2007 18:57:17 -0400

sipb-xen-dom0 (2.1) unstable; urgency=low

  * Fix typo in init script 
  * depend  on dsniff for arpspoof

 -- Sam Hartman <hartmans@debian.org>  Fri, 24 Aug 2007 17:22:20 -0400

sipb-xen-dom0 (2) unstable; urgency=low

  * Add qemu-dm-sipb written by andersk to get us the  domain ID in qemu-ifup 
  * Add vif-sipbroute, a version of vif-route that does better netwwork
    isolation and has initial but useless ipv6 support.  This version also
    uses arpspoof to take over an address for domain migrations.   
  * Add init script to enable rp_filter, proxy_arp and forwarding for the network config.

 -- Sam Hartman <hartmans@debian.org>  Fri, 24 Aug 2007 17:17:23 -0400

sipb-xen-dom0 (1) unstable; urgency=low

  *  First version

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 20:20:32 -0400

=== packages/sipb-xen-python-pydhcplib/debian/changelog ===
sipb-xen-python-pydhcplib (0.3.2-3) unstable; urgency=low

  * Explicitly require Python 2.5
  * Cleanup the copyright file a bit

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 20:23:52 -0400

sipb-xen-python-pydhcplib (0.3.2-2) unstable; urgency=low

  * Add a patch to allow DHCP option 119 (domain-search) to work

 -- SIPB Xen Project <sipb-xen@mit.edu>  Mon, 31 Mar 2008 19:33:13 -0400

sipb-xen-python-pydhcplib (0.3.2-1) unstable; urgency=low

  * Initial release.

 -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 30 Mar 2008 16:03:05 -0400

=== packages/sipb-xen-remctl-auto/debian/changelog ===
sipb-xen-remctl-auto (1.0.21) unstable; urgency=low

  * start inetd too in init script

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 20:43:29 -0400

sipb-xen-remctl-auto (1.0.20) unstable; urgency=low

  * generate config files using mako

 -- Yang Zhang <y_z@mit.edu>  Thu, 14 Aug 2008 15:18:46 -0400

sipb-xen-remctl-auto (1.0.19) unstable; urgency=low

  * simplify the init script a la sipb-xen-dev

 -- Yang Zhang <y_z@mit.edu>  Thu,  7 Aug 2008 22:09:28 -0400

sipb-xen-remctl-auto (1.0.18) unstable; urgency=low

  * use invirt config in sipb-xen-lvm
  * added .init script to generate /etc/remctl/acl/remote
  * sipb_xen_database -> invirt.database

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 00:46:28 -0400

sipb-xen-remctl-auto (1.0.17) unstable; urgency=low

  * catch another version of the xenstore error in the listvms race

 -- Greg Price <price@mit.edu>  Wed, 23 Jul 2008 01:12:01 -0400

sipb-xen-remctl-auto (1.0.16) unstable; urgency=low

  * support YAML as well as JSON (broder, quentin, andersk, long ago)
  * fix a race in listvms when a machine is shutting down

 -- Greg Price <price@mit.edu>  Tue, 22 Jul 2008 23:46:49 -0400

sipb-xen-remctl-auto (1.0.15) unstable; urgency=low

  * Compute time differences on server to avoid drift

 -- Quentin Smith <quentin@mit.edu>  Thu, 15 May 2008 20:58:04 -0400

sipb-xen-remctl-auto (1.0.14) unstable; urgency=low

  * Use more efficient python API to get VM information, and return it
    in a Python dict structure.

 -- Quentin Smith <quentin@mit.edu>  Thu, 15 May 2008 20:29:03 -0400

sipb-xen-remctl-auto (1.0.13) unstable; urgency=low

  * Switch to just using the remote server.

 -- Greg Price <price@mit.edu>  Sat, 10 May 2008 21:26:42 -0400

sipb-xen-remctl-auto (1.0.12) unstable; urgency=low

  * Remove an obsolete line from the remctl config.

 -- Greg Price <price@mit.edu>  Sun,  4 May 2008 22:36:07 -0400

sipb-xen-remctl-auto (1.0.11) unstable; urgency=low

  * Close file descriptors for update-conserver on destroy/shutdown.

 -- Eric Price <ecprice@pseudomyrmex.mit.edu>  Mon, 21 Apr 2008 21:28:12 -0400

sipb-xen-remctl-auto (1.0.10) unstable; urgency=low

  * Delay running sipb-xen-update-conserver

 -- Evan Broder <broder@mit.edu>  Mon, 21 Apr 2008 20:26:28 -0400

sipb-xen-remctl-auto (1.0.9) unstable; urgency=low

  * Change the way that conserver is updated

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 04:36:04 -0400

sipb-xen-remctl-auto (1.0.8) unstable; urgency=low

  * Add support for updating conserver when VMs are turned on and off

 -- Evan Broder <broder@sipb-xen-dev.mit.edu>  Wed,  2 Apr 2008 00:40:23 -0400

sipb-xen-remctl-auto (1.0.7) unstable; urgency=low

  * changes for installer system

 -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sun, 28 Oct 2007 22:47:59 -0400

sipb-xen-remctl-auto (1.0.6) unstable; urgency=low

  * get rid of old "vmboot" call
  * make "create" not destroy running machines.

 -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sat, 27 Oct 2007 16:54:26 -0400

sipb-xen-remctl-auto (1.0.5) unstable; urgency=low

  * move to common /usr/sbin/sipb-xen-* naming
  * get rid of dispatch.sh hack
  * fix "reboot" to "destroy then create" always, since that's what users will expect
  * change remctl calls interface in various ways

 -- Tim Abbott <tabbott@mit.edu>  Tue, 16 Oct 2007 00:28:36 -0400

sipb-xen-remctl-auto (1.0.4) unstable; urgency=low

  * Fix typos.

 -- Anders Kaseorg <andersk@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 04:47:37 -0400

sipb-xen-remctl-auto (1.0.3) unstable; urgency=low

  * Prepend d_ to database VMs.

 -- Eric Price <ecprice@sipb-xen-dev.mit.edu>  Tue,  9 Oct 2007 02:34:56 -0400

sipb-xen-remctl-auto (1.0.2) unstable; urgency=low

  * Added web interface support code.
  * Move things from /etc/remctl/sipb-xen-auto/bin to /usr/sbin
  * Quoted lots of variables

 -- Tim Abbott <tabbott@sipb-xen-dev.mit.edu>  Sun,  7 Oct 2007 17:23:40 -0400

sipb-xen-remctl-auto (1.0.1) unstable; urgency=low

  * Stop scaring me with unquoted variables.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 05 Aug 2007 22:11:02 -0400

sipb-xen-remctl-auto (1.0) unstable; urgency=low

  * Initial release.

 -- Tim Abbott <tabbott@mit.edu>  Sun, 15 Jul 2007 19:37:05 -0400

=== packages/sipb-xen-remote-server/debian/changelog ===
sipb-xen-remote-server (0.9.1) unstable; urgency=low

  * Fix a bug in the database handling code

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 18:42:48 -0400

sipb-xen-remote-server (0.9) unstable; urgency=low

  [Evan Broder]
  * Make the acl/ subdir of RemConfFS listable
  
  [Greg Price]
  * Update RemConfFS for new SQLAlchemy code

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 19:28:23 -0400

sipb-xen-remote-server (0.8) unstable; urgency=low

  * Use RouteFS for RemConfFS

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 02:21:00 -0400

sipb-xen-remote-server (0.7) unstable; urgency=low

  * depend on sipb-xen-base

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 20:47:05 -0400

sipb-xen-remote-server (0.6) unstable; urgency=low

  * sipb_xen_database -> invirt.config

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 00:54:59 -0400

sipb-xen-remote-server (0.5) unstable; urgency=low

  * use invirt config in sipb-xen-remconffs, sipb-xen-remctl-help,
    sipb-xen-remote-proxy

 -- Yang Zhang <y_z@mit.edu>  Sun,  3 Aug 2008 00:32:59 -0400

sipb-xen-remote-server (0.4) unstable; urgency=low

  * use invirt.config to get hostnames
  * refactoring: extracted bcast() function into invirt.remote package

 -- Yang Zhang <y_z@mit.edu>  Sat,  2 Aug 2008 20:34:50 -0400

sipb-xen-remote-server (0.3) unstable; urgency=low

  * Fill in all the code to make the package work (mostly weeks ago.)
  * sipb-xen-remote-listvms aggregates listvms across hosts (with
    y_z, broder, andersk)
  * sipb-xen-remctl-help gives help
  * sipb-xen-remote-control proxies to where a machine is running
  * sipb-xen-remote-create chooses where to boot by load-balancing

 -- Greg Price <price@mit.edu>  Thu, 24 Jul 2008 21:34:20 -0400

sipb-xen-remote-server (0.2) unstable; urgency=low

  * FUSE filesystem for remctl configuration.
  * Remove *register calls, since the FUSE keeps things up to date.
  * An init script to keep the FUSE fs up.

 -- Greg Price <price@mit.edu>  Sat, 10 May 2008 22:04:32 -0400

sipb-xen-remote-server (0.1) unstable; urgency=low

  * First draft.

 -- Greg Price <price@mit.edu>  Sun, 30 Mar 2008 01:08:50 -0400

=== packages/xvm-prodconfig/debian/changelog ===
xvm-prodconfig (0.11) unstable; urgency=low

  * Add a vnc section

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 01:16:29 -0400

xvm-prodconfig (0.10) unstable; urgency=low

  * Add dhcp section

 -- Evan Broder <broder@mit.edu>  Sat, 04 Oct 2008 19:53:00 -0400

xvm-prodconfig (0.9.2) unstable; urgency=low

  * Add the svn.uri for svn checkout packages

 -- Evan Broder <broder@mit.edu>  Fri, 03 Oct 2008 21:05:35 -0400

xvm-prodconfig (0.9.1) unstable; urgency=low

  * Update dns section to be less of a lie

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 18:55:26 -0400

xvm-prodconfig (0.9) unstable; urgency=low

  * Add dns section, even though it's something of a lie

 -- Evan Broder <broder@mit.edu>  Thu, 02 Oct 2008 08:07:05 -0400

xvm-prodconfig (0.8) unstable; urgency=low

  * add console section

 -- Greg Price <price@mit.edu>  Wed, 01 Oct 2008 19:53:30 -0400

xvm-prodconfig (0.7) unstable; urgency=low

  * Replace citadel-station with shadow-moses and arklay-mansion as hosts
    while we get those two up

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 19:30:23 -0400

xvm-prodconfig (0.6) unstable; urgency=low

  * Add remote section

 -- Evan Broder <broder@mit.edu>  Wed, 01 Oct 2008 12:04:18 -0400

xvm-prodconfig (0.5) unstable; urgency=low

  * fix distribution

 -- Greg Price <price@mit.edu>  Tue, 30 Sep 2008 23:46:46 -0400

xvm-prodconfig (0.4) hardy; urgency=low

  * add web, svn, trac sections

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 06:03:03 +0000

xvm-prodconfig (0.3ubuntu1) hardy; urgency=low

  * Add some system-vm xen configs.

 -- Greg Price <price@mit.edu>  Mon, 29 Sep 2008 01:56:00 +0000

xvm-prodconfig (0.3) unstable; urgency=low

  * Include a copy of the apt key; currently not automatically installed.

 --  Sam Hartman <hartmans@xvm.mit.edu>  Sun, 24 Aug 2008 20:51:34 +0000

xvm-prodconfig (0.2) unstable; urgency=low

  * Fix script names

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Aug 2008 16:47:43 -0400

xvm-prodconfig (0.1) unstable; urgency=low

  * Initial prodconfig release

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Aug 2008 16:40:35 -0400

=== packages/sipb-xen-base/debian/control ===
Source: sipb-xen-base
Section: base
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0), python-support
Standards-Version: 3.7.2

Package: sipb-xen-base
Architecture: all
Depends: ${misc:Depends}, python-json (>= 3.4-2), python-yaml (>= 3.05), python-mako (>= 0.2.2), invirt-config
Description: Base configuration required for all SIPB xen servers
 This package includes apt configuration, .k5login and other files that
 should be synchronized among all our servers.
 Installing this on a non-sipb-xen machine would be very anti-social.

=== packages/sipb-xen-clvm-config/debian/control ===
Source: sipb-xen-clvm-config
Section: base
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), config-package-dev (>= 4.5~)
Standards-Version: 3.7.2

Package: sipb-xen-clvm-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, clvm, cman, ccs, multipath-tools
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Description: Configure clustering LVM
 Configure the dom0 servers for clustering LVM

=== packages/sipb-xen-database/debian/control ===
Source: sipb-xen-database
Section: net
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0), python-support (>= 0.5.3), config-package-dev
Standards-Version: 3.7.2

Package: sipb-xen-database-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-sqlalchemy, python-psycopg2
Provides: ${python:Provides}
Description: Installs the SIPB Xen database schema files
 This contains the python modules to access the SIPB Xen database

Package: sipb-xen-database-server
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, postgresql-8.3, python-sqlalchemy, python-psycopg2, sipb-xen-database-common, adduser
Description: Installs the SIPB Xen database server
 This tracks all the user VMs and is accessed from the VM host

Package: sipb-xen-database-client
Architecture: all
Depends: ${misc:Depends}, postgresql-client-8.3, python-sqlalchemy, python-psycopg2, sipb-xen-database-common, python
Description: Installs the SIPB Xen database configuration file
 This is a python xen configuration script that talks to the database
 to dynamically load xen domU configuration information

=== packages/sipb-xen-database/debian/rules ===
#!/usr/bin/make -f


DEB_DIVERT_EXTENSION = .invirt
DEB_DIVERT_FILES_sipb-xen-database-server += \
/etc/postgresql/8.3/main/postgresql.conf.invirt


include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/config-package.mk

binary-install/sipb-xen-database-common::
	dh_pysupport -psipb-xen-database-common

=== packages/sipb-xen-python-pydhcplib/debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_DEBIAN_CONTROL=1
DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/class/python-distutils.mk
